#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EResolutionAutomation {
    Manual = 0,
    PartiallyAutomated = 1,
    FullyAutomated = 2,
    MAX = 3,
}

impl EResolutionAutomation {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Manual as i32 => Some(Self::Manual),
            x if x == Self::PartiallyAutomated as i32 => Some(Self::PartiallyAutomated),
            x if x == Self::FullyAutomated as i32 => Some(Self::FullyAutomated),
            x if x == Self::MAX as i32 => Some(Self::MAX),
            _ => None,
        }
    }
}
